package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.AppCarrierDriverCollectTransportIntentionParam;
import com.clx.performance.param.app.collect.CarrierDriverCollectTransportIntentionListParam;
import com.clx.performance.param.app.collect.CarrierDriverCollectTransportIntentionParam;
import com.clx.performance.vo.pc.collect.CarrierDriverCollectTransportIntentionRecordVO;
import com.clx.performance.vo.pc.collect.CarrierDriverCollectTransportIntentionVO;

import java.util.List;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 16:26
 */
public interface CollectDriverTransportIntentionService {
    Integer saveCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionParam param);

    Integer updateCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionParam param);

    Integer enableCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionParam param);

    Integer deleteCarrierDriverCollectTransportIntention(List<Integer> param);

    IPage<CarrierDriverCollectTransportIntentionVO> listCarrierDriverCollectTransportIntention(CarrierDriverCollectTransportIntentionListParam param);

    List<CarrierDriverCollectTransportIntentionRecordVO> detailCarrierDriverCollectTransportIntention(Integer param);

    IPage<CarrierDriverCollectTransportIntentionVO> listCarrierDriverCollectTransportIntentionAll(AppCarrierDriverCollectTransportIntentionParam param);
}
